<?php
    include "../conexion/conexion.php";
    include '../validacion.php';
    date_default_timezone_set("America/Lima");
    $ahora = date("Y-m-d H:i:s");

    $idusuario = $_GET['usuario'];

        $sql="UPDATE usuario SET estado=3 WHERE idusuario=$idusuario";
        $consulta = $pdo->prepare($sql);
        if($consulta->execute()){

            // AÑADIENDO EL REGISTRO LOG PARA EL USUARIO DESACTIVADO
            //----------------------------------------------------------------------------
            // IDTABLALOG = 1  ES USUARIOS
            $sql = "SELECT * FROM tablalog WHERE idtablalog = 1";
            $consulta = $pdo->prepare($sql);
            $consulta->execute();
            $tablalog = $consulta->fetchAll(PDO::FETCH_ASSOC);

                foreach ($tablalog as $gotablalog) {
                    $idtablalog = $gotablalog['idtablalog'];
                    $nombretablalog = $gotablalog['nombretablalog'];
                }
            //----------------------------------------------------------------------------
            $sql = "SELECT * FROM usuario WHERE idusuario = '$idusuario'";
            $consulta = $pdo->prepare($sql);
            $consulta->execute();
            $tablausuario = $consulta->fetchAll(PDO::FETCH_ASSOC);
    
                foreach ($tablausuario as $gotablausuario) {
                    $nombreusuario = $gotablausuario['nombreusuario'];
                }

            //----------------------------------------------------------------------------
            $accion = $nombreusuario_sesion." HA DESACTIVADO AL USUARIO ".$nombreusuario;
            $crud = "ACTUALIZAR";
            //----------------------------------------------------------------------------
            $sql="INSERT INTO detalletablalog VALUES (null,?,?,?,?,?);";
            $sentencia = $pdo->prepare($sql);   
            $sentencia->bindParam(1,$accion);
            $sentencia->bindParam(2,$ahora);
            $sentencia->bindParam(3,$crud);
            $sentencia->bindParam(4,$idusuario);
            $sentencia->bindParam(5,$idtablalog);                
            $sentencia->execute();
            //----------------------------------------------------------------------------

            echo '<script type="text/javascript">alert("Usuario Desactivado");window.location.href="usuarios.php";</script>';
        }
        else{
            echo '<script type="text/javascript">alert("Error al Desactivar Usuario");window.location.href="usuarios.php";</script>';
        }

   
?>